Uploaded image for project: 'GPII - Global Public Inclusive Infrastructure'
  1. GPII - Global Public Inclusive Infrastructure
  2. GPII-2085

Switch nodejs Ansible role to 6.x LTS branch

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: None

      Description

      The 6.x branch will be released soon as the new LTS branch (starting on v6.9.0). We need to switch the Ansible nodejs role to use lts=6.x and current=7.x

      http://rpm.nodesource.com/pub_6.x (LTS)

      http://rpm.nodesource.com/pub_7.x (Current)

      The 4.x branch, although available as LTS, would not be supported by us anymore to keep things simple and ensure the code base keeps updated. So far all tests have shown the most popular GPII repositories as well as Fluid's Infusion work fine with node 6.x thanks to all the recent changes.

        Attachments

          Activity

            People

            Assignee:
            gtirloni Giovanni Tirloni
            Reporter:
            gtirloni Giovanni Tirloni
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: